/**
 *    author:  tourist
 *    created: 04.11.2025 20:12:15
**/
#include <bits/stdc++.h>

using namespace std;

#ifdef LOCAL
#include "algo/debug.h"
#else
#define debug(...) 42
#endif

int main() {
  ios::sync_with_stdio(false);
  cin.tie(nullptr);
  int a, b, c;
  cin >> a >> b >> c;
  if (a + b < c || a + c < b || b + c < a) {
    cout << "No" << '\n';
    return 0;
  }
  string s = "a", t = "a", u = "a";
  if ((a + b + c) % 2 == 1) {
    s += "b";
    t += "c";
    u += "d";
    a -= 1;
    b -= 1;
    c -= 1;
  }
  s += string((a + b - c) / 2, 'e');
  t += string((a + b - c) / 2, 'f');
  u += string((a + b - c) / 2, 'f');
  s += string((b + c - a) / 2, 'g');
  t += string((b + c - a) / 2, 'g');
  u += string((b + c - a) / 2, 'h');
  s += string((c + a - b) / 2, 'i');
  t += string((c + a - b) / 2, 'j');
  u += string((c + a - b) / 2, 'i');
  cout << "Yes" << '\n';
  cout << s << '\n';
  cout << t << '\n';
  cout << u << '\n';
  return 0;
}
